{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="{% static 'css/bootstrap.css' %}">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.8.2/css/all.css" integrity="sha384-oS3vJWv+0UjzBfQzYUhtDYW+Pj2yciDJxpsK1OYPAYjqT085Qq/1cq5FLXAZQ7Ay" crossorigin="anonymous">
    <link rel="stylesheet" href="{% static 'css/main.css' %}">
    <title>Self-Serv</title>
</head>
<body>
    <div class="container-fluid">
        <div class="row">
            <div class="col-12">
                <h1 style="font-size: 72px; font-weight: bold; color: rgb(36, 170, 211)">Self-Serv - Mesero <i
                    class="fas fa-utensils"></i></h1>
            </div>
        </div>
        <div class="row">
            <div class="col-12">
                <h1>Ordenes activas</h1>
                <table class="table table-striped">
                    <th>Número orden</th>
                    <th>Detalle</th>
                    <th>Estado actual</th>
                    <th>Cambio de estado</th>
                    {% for i in orders %}
                    <tr>
                        <td>{{i.id}}</td>
                        <td>
                            {% for j in orderproducts %}
                            {% if j.order == i %}
                            {{j.product.name}} (x{{j.quantity}})
                            <br>
                            {% endif %}
                            {% endfor %}
                        </td>
                        <td>{{i.state}}</td>
                        <td>
                            <a href="changestate/{{i.id}}" class="btn btn-info paybtn" style="width: 40%;">Marcar como entregada</a>
                        </td>
                    </tr>
                    {% endfor %}
                </table>
            </div>
        </div>
    </div>
</body>
</html>